{    var   : }
{ RLB, RUB, M }
Unit AGH9R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, AER13R_p, AER18R_p, AER4R_p, AER14R_p, AER17R_p, AER11R_p, UTAG10_p;

procedure AGH9R(N :Integer; MM :Integer; var M :Integer;
                var RLB :Real; var RUB :Real; var A :Array of Real;
                var B :Array of Real; var EV :Array of Real;
                var V :Array of Real; var IRAB :Array of Integer;
                var RAB :Array of Real; var IERR :Integer);

implementation

procedure AGH9R(N :Integer; MM :Integer; var M :Integer;
                var RLB :Real; var RUB :Real; var A :Array of Real;
                var B :Array of Real; var EV :Array of Real;
                var V :Array of Real; var IRAB :Array of Integer;
                var RAB :Array of Real; var IERR :Integer);
var
N1,N2,N3,N4,N5,N6,N7,N8 :Integer;
EPS1 :Real;
label
_1;
begin
__.elm1 := N;
N1 := N+1;
N2 := N1+N;
N3 := N2+N;
N4 := N3+N;
N5 := N4+N;
N6 := N5+N;
N7 := N6+N;
N8 := N7+N;
AER13R(N,N,A,B,RAB[N8-1],IERR);
if ( IERR <> 0 ) 
 then goto _1;
AER18R(N,N,A,RAB,RAB[N1-1],RAB[N2-1]);
EPS1 := 0.0;
AER4R(N,EPS1,RAB,RAB[N1-1],RAB[N2-1],RLB,RUB,MM,M,EV,
     IRAB,IERR,RAB[N3-1],RAB[N4-1]);
if ( IERR <> 0 ) 
 then goto _1;
AER14R(N,N,RAB,RAB[N1-1],RAB[N2-1],M,EV,IRAB,V,IERR,
     RAB[N3-1],RAB[N4-1],RAB[N5-1],RAB[N6-1],RAB[N7-1]);
if ( IERR <> 0 ) 
 then goto _1;
AER17R(N,N,A,RAB[N1-1],M,V);
AER11R(N,N,B,RAB[N8-1],M,V);
_1:
if ( IERR <> 0 ) 
 then UTAG10(IERR,55);
end;

end.
